Description

Hi,

Currently in redmine | grant a role only with the option to globally view tickets and globally edit tickets or not at all.

| think it is very important to add a feature that allows users that have a certain role to view and edit only their tickets.

Thanks,
Alexander

Related issues:

Related to Redmine - Feature #5195: edit_own_issues and delete_own_issues per... New 2010-03-26
Is duplicate of Redmine - Feature #7412: Add an issue visibility level to eac... Closed 2011-01-22
History

#1 - 2010-12-05 10:37 - Dmitry Vyal

It would be very useful feature for us too. What do developers think? Is it feasible to implement it given the current architecture of redmine?

#2 - 2010-12-05 14:32 - Deoren Moor

Private issues?

#3 - 2010-12-14 20:46 - Dmitry Vyal

Yeah, quite similar although this one is narrower. | must say, it was not an easy job to follow all that lengthy discussion.

If there is a consensus #337 would be implemented in redmine-1.1, | guess this feature is a duplicate and should be closed.

#4 - 2010-12-14 22:02 - Jean-Philippe Lang

- Category changed from Permissions and roles to Issues permissions

#5 - 2011-06-01 20:25 - pasquale [:dedalus]

+1

#6 - 2013-04-01 21:37 - Bruce Svare
- File Untitled.png added

Already done?

Roles » Reporter

Name * Reporter

Issues can be assigned to [

this role
Issues visibility | All non private issues |E|
All issues
.. All non private issues
Permissions »

Issues created by or assigned fo the user |

2025-07-14

1/2



http://www.redmine.org/issues/337
https://www.redmine.org/issues/337

#7 - 2013-04-05 12:56 - Toshi MARUYAMA
- Status changed from New to Needs feedback

- Priority changed from High to Normal

#8 - 2015-04-03 03:55 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Implemented by #7412 as Bruce Svare pointed out.
| close this issue.

#9 - 2015-04-03 03:56 - Go MAEDA

- Is duplicate of Feature #7412: Add an issue visibility level to each role added

#10 - 2015-05-18 08:48 - Chet Wang

I don't think this is OP wanted.
Visibility only control the 'view' permission of issues, but system still lacks another function -- edit permission. Users should edit only their raised
tickets, | mean issue properties.

#11 - 2015-06-17 02:25 - Toshi MARUYAMA
Chet Wang wrote:
| don't think this is OP wanted.

Visibility only control the 'view' permission of issues, but system still lacks another function -- edit permission. Users should edit only their raised
tickets, | mean issue properties.

| think it is duplicate of #5195.

#12 - 2015-06-17 02:25 - Toshi MARUYAMA

- Related to Feature #5195: edit_own_issues and delete_own_issues permissions added
